From aae1dc51287655af3f847c3b7d07050f6e8651ec Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 5 Oct 2022 10:32:34 +0200
Subject: [PATCH] Add meson.build to version_stamp.pl

---
 src/tools/version_stamp.pl | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/tools/version_stamp.pl b/src/tools/version_stamp.pl
index 9d4f44d4a95b..a8b696b28eba 100755
--- a/src/tools/version_stamp.pl
+++ b/src/tools/version_stamp.pl
@@ -95,6 +95,9 @@
 sed_file("configure.ac",
 	"-e 's/AC_INIT(\\[PostgreSQL\\], \\[[0-9a-z.]*\\]/AC_INIT([PostgreSQL], [$fullversion]/'"
 );
+sed_file("meson.build",
+	qq{-e "1,20s/ version: '[0-9a-z.]*',/ version: '$fullversion',/"}
+);
 
 print "Stamped these files with version number $fullversion:\n$fixedfiles";
 print "Don't forget to run autoconf $aconfver before committing.\n";
-- 
2.37.3

